import { scaleOrdinal } from 'd3';
const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#c11d1d', '#eae600']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range([80, 50]);

export const fruitBowl = (selection, props) => {
  const {fruits, height} = props;
  
   const groups = selection.selectAll('g')
  	.data(fruits);
  const groupsEnter = groups.enter().append('g');
  groupsEnter
  	.merge(groups)
  		.attr('transform', (d, i) => 
           `translate(${i*180 + 100}, ${height / 2})`);
  groups
    .exit().remove();
  
  groupsEnter.append('circle')
  	.merge(groups.select('circle'))
  		.attr('fill', d => colorScale(d.type))
      .attr('r', d => radiusScale(d.type));
  
  const text = groups.select('text');
  groupsEnter.append('text')
  	.attr('y', 120)
  	.merge(text)
  		.text(d => d.type);
  }